// ecel.shader
// evillair.net
// Monkey see Monkey do.

// --------- Lights ------------ //
textures/twojumps/ecel_clight01_10k
{
	qer_editorimage textures/twojumps/ecel_clight01.tga
	q3map_lightImage textures/twojumps/ecel_clight01.blend.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	q3map_surfacelight 10000
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/twojumps/ecel_clight01.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/twojumps/ecel_clight01.blend.tga
		blendfunc add
	}
}

textures/twojumps/ecel_mplatelight_2k
{
	qer_editorimage textures/twojumps/ecel_mplatelight.tga
	q3map_lightImage textures/twojumps/ecel_mplatelight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/twojumps/ecel_mplatelight.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/twojumps/ecel_mplatelight.blend.tga
		blendfunc add
	}
}

textures/twojumps/ecel_mplatelightmtl_2k
{
	qer_editorimage textures/twojumps/ecel_mplatelightmtl.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/twojumps/ecel_mplatelightmtl.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/twojumps/ecel_mplatelight.blend.tga
		blendfunc add
	}
}

textures/twojumps/ecel_wlight01_2k
{
	qer_editorimage textures/twojumps/ecel_wlight01.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/twojumps/ecel_wlight01.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/twojumps/ecel_wlight01.blend.tga
		blendfunc add
	}
}

textures/twojumps/ecel_wlight01mtl_2k
{
	qer_editorimage textures/twojumps/ecel_wlight01mtl.tga
	q3map_lightImage textures/twojumps/ecel_wlight01.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/twojumps/ecel_wlight01mtl.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/twojumps/ecel_wlight01.blend.tga
		blendfunc add
	}
}

// ----------alphas------------- //
textures/twojumps/ecel_girder01
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm trans
	cull disable
	nopicmip
	{
		map textures/twojumps/ecel_girder01.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/twojumps/ecel_girder01mtl
{
	qer_trans .99
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm trans
	cull disable
	nopicmip
	{
		map textures/twojumps/ecel_girder01mtl.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/twojumps/ecel_metgrate
{
	q3map_lightimage textures/twojumps/ecel_metgrate
	qer_trans .8
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm metalsteps
	surfaceparm nomarks
	noPicMip
	noMipMaps	
	cull none
	{
		map textures/twojumps/ecel_metgrate
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}		
}


//Uncomment to make this alpha

//textures/twojumps/ecel_des02b_alpha
//{
//	qer_editorimage textures/twojumps/ecel_des02b.tga
//	surfaceparm alphashadow
//	surfaceparm metalsteps
//	surfaceparm nomarks
//	surfaceparm nonsolid
//	surfaceparm playerclip
//	surfaceparm trans
//	cull disable
//	nopicmip
//	{
//		map textures/twojumps/ecel_des02b.tga
//		rgbGen identity
//		depthWrite
//		alphaFunc GE128
//	}
//	{
//		map $lightmap 
//		blendfunc filter
//		rgbGen identity
//		tcGen lightmap 
//		depthFunc equal
//	}
//}

//Uncomment to make this alpha

//textures/twojumps/ecel_des02bmtl_alpha
//{
//	qer_editorimage textures/twojumps/ecel_des02bmtl.tga
//	surfaceparm alphashadow
//	surfaceparm metalsteps
//	surfaceparm nomarks
//	surfaceparm nonsolid
//	surfaceparm playerclip
//	surfaceparm trans
//	cull disable
//	nopicmip
//	{
//		map textures/twojumps/ecel_des02bmtl.tga
//		rgbGen identity
//		depthWrite
//		alphaFunc GE128
//	}
//	{
//		map $lightmap 
//		blendfunc filter
//		rgbGen identity
//		tcGen lightmap 
//		depthFunc equal
//	}
//}

//Uncomment to make this alpha

//textures/twojumps/ecel_gratefiller_alpha
//{
//	qer_editorimage textures/twojumps/ecel_gratefiller.tga
//	surfaceparm alphashadow
//	surfaceparm metalsteps
//	surfaceparm nomarks
//	surfaceparm nonsolid
//	surfaceparm playerclip
//	surfaceparm trans
//	cull disable
//	nopicmip
//	{
//		map textures/twojumps/ecel_gratefiller.tga
//		rgbGen identity
//		depthWrite
//		alphaFunc GE128
//	}
//	{
//		map $lightmap 
//		blendfunc filter
//		rgbGen identity
//		tcGen lightmap 
//		depthFunc equal
//	}
//}

//Uncomment to make this alpha

//textures/twojumps/ecel_des02_alpha
//{
//	qer_editorimage textures/twojumps/ecel_des02.tga
//	surfaceparm alphashadow
//	surfaceparm metalsteps
//	surfaceparm nomarks
//	surfaceparm nonsolid
//	surfaceparm playerclip
//	surfaceparm trans
//	cull disable
//	nopicmip
//	{
//		map textures/twojumps/ecel_des02.tga
//		rgbGen identity
//		depthWrite
//		alphaFunc GE128
//	}
//	{
//		map $lightmap 
//		blendfunc filter
//		rgbGen identity
//		tcGen lightmap 
//		depthFunc equal
//	}
//}

//Uncomment to make this alpha

//textures/twojumps/ecel_des02mtl_alpha
//{
//	qer_editorimage textures/twojumps/ecel_des02mtl.tga
//	surfaceparm alphashadow
//	surfaceparm metalsteps
//	surfaceparm nomarks
//	surfaceparm nonsolid
//	surfaceparm playerclip
//	surfaceparm trans
//	cull disable
//	nopicmip
//	{
//		map textures/twojumps/ecel_des02mtl.tga
//		rgbGen identity
//		depthWrite
//		alphaFunc GE128
//	}
//	{
//		map $lightmap 
//		blendfunc filter
//		rgbGen identity
//		tcGen lightmap 
//		depthFunc equal
//	}
//}

//Uncomment to make this alpha

//textures/twojumps/ecel_fgrate01_alpha
//{
//	qer_editorimage textures/twojumps/ecel_fgrate01.tga
//	surfaceparm alphashadow
//	surfaceparm metalsteps
//	surfaceparm nomarks
//	surfaceparm nonsolid
//	surfaceparm playerclip
//	surfaceparm trans
//	cull disable
//	nopicmip
//	{
//		map textures/twojumps/ecel_fgrate01.tga
//		rgbGen identity
//		depthWrite
//		alphaFunc GE128
//	}
//	{
//		map $lightmap 
//		blendfunc filter
//		rgbGen identity
//		tcGen lightmap 
//		depthFunc equal
//	}
//}

//Uncomment to make this alpha

//textures/twojumps/ecel_fgrate01mtl_alpha
//{
//	qer_editorimage textures/twojumps/ecel_fgrate01MTL.tga
//	surfaceparm alphashadow
//	surfaceparm metalsteps
//	surfaceparm nomarks
//	surfaceparm nonsolid
//	surfaceparm playerclip
//	surfaceparm trans
//	cull disable
//	nopicmip
//	{
//		map textures/twojumps/ecel_fgrate01mtl.tga
//		rgbGen identity
//		depthWrite
//		alphaFunc GE128
//	}
//	{
//		map $lightmap 
//		blendfunc filter
//		rgbGen identity
//		tcGen lightmap 
//		depthFunc equal
//	}
//}

// ---------- decal ------------- //
textures/twojumps/ecel_spwn_decal
{
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm pointlight
	poygonoffset
	{
		clampmap textures/twojumps/ecel_spwn_decal.tga
		blendfunc add
		rgbGen Vertex
	}
}

// -------- bouncepads ----------- //
textures/twojumps/ecel_bounce_01
{
	q3map_lightimage textures/twojumps/ecel_bounce.blend.tga
	surfaceparm nodamage
	q3map_surfacelight 400
	{
		map textures/twojumps/ecel_bounce_01.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/twojumps/ecel_bounce.blend.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 1.5 
	}
	{
		clampmap textures/twojumps/ecel_bouncesmall.tga
		blendfunc add
		rgbGen wave square 0.5 0.5 0.25 1.5 
		tcMod stretch sin 1.2 0.8 0 1.5 
	}
}

textures/twojumps/ecel_bounce_c01
{
	q3map_lightimage textures/twojumps/ecel_bounce.blend.tga
	surfaceparm nodamage
	q3map_surfacelight 400
	{
		map textures/twojumps/ecel_bounce_c01.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/twojumps/ecel_bounce.blend.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 1.5 
	}
	{
		clampmap textures/twojumps/ecel_bouncesmall.tga
		blendfunc add
		rgbGen wave square 0.5 0.5 0.25 1.5 
		tcMod stretch sin 1.2 0.8 0 1.5 
	}
}

textures/twojumps/ecel_bounce_c02
{
	q3map_lightimage textures/twojumps/ecel_bounce.blend.tga
	surfaceparm nodamage
	q3map_surfacelight 400
	{
		map textures/twojumps/ecel_bounce_c02.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/twojumps/ecel_bounce.blend.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 1.5 
	}
	{
		clampmap textures/twojumps/ecel_bouncesmall.tga
		blendfunc add
		rgbGen wave square 0.5 0.5 0.25 1.5 
		tcMod stretch sin 1.2 0.8 0 1.5 
	}
}

textures/twojumps/ecel_bounce_c03
{
	q3map_lightimage textures/twojumps/ecel_bounce.blend.tga
	surfaceparm nodamage
	q3map_surfacelight 400
	{
		map textures/twojumps/ecel_bounce_c03.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/twojumps/ecel_bounce.blend.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 1.5 
	}
	{
		clampmap textures/twojumps/ecel_bouncesmall.tga
		blendfunc add
		rgbGen wave square 0.5 0.5 0.25 1.5 
		tcMod stretch sin 1.2 0.8 0 1.5 
	}
}

textures/twojumps/ecel_bounce_c02mtl
{
	q3map_lightimage textures/twojumps/ecel_bounce.blend.tga
	surfaceparm nodamage
	q3map_surfacelight 400
	{
		map textures/twojumps/ecel_bounce_c02mtl.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/twojumps/ecel_bounce.blend.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 1.5 
	}
	{
		clampmap textures/twojumps/ecel_bouncesmall.tga
		blendfunc add
		rgbGen wave square 0.5 0.5 0.25 1.5 
		tcMod stretch sin 1.2 0.8 0 1.5 
	}
}

textures/twojumps/ecel_bounce_c03b
{
	q3map_lightimage textures/twojumps/ecel_bounce.blend.tga
	surfaceparm nodamage
	q3map_surfacelight 400
	{
		map textures/twojumps/ecel_bounce_c03b.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/twojumps/ecel_bounce.blend.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 1.5 
	}
	{
		clampmap textures/twojumps/ecel_bouncesmall.tga
		blendfunc add
		rgbGen wave square 0.5 0.5 0.25 1.5 
		tcMod stretch sin 1.2 0.8 0 1.5 
	}
}

textures/twojumps/ecel_bounce_c03bmtl
{
	q3map_lightimage textures/twojumps/ecel_bounce.blend.tga
	surfaceparm nodamage
	q3map_surfacelight 400
	{
		map textures/twojumps/ecel_bounce_c03bmtl.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/twojumps/ecel_bounce.blend.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 1.5 
	}
	{
		clampmap textures/twojumps/ecel_bouncesmall.tga
		blendfunc add
		rgbGen wave square 0.5 0.5 0.25 1.5 
		tcMod stretch sin 1.2 0.8 0 1.5 
	}
}

textures/twojumps/ecel_bounce_met01
{
	q3map_lightimage textures/twojumps/ecel_bounce.blend.tga
	surfaceparm nodamage
	q3map_surfacelight 400
	{
		map textures/twojumps/ecel_bounce_met01.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/twojumps/ecel_bounce.blend.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 1.5 
	}
	{
		clampmap textures/twojumps/ecel_bouncesmall.tga
		blendfunc add
		rgbGen wave square 0.5 0.5 0.25 1.5 
		tcMod stretch sin 1.2 0.8 0 1.5 
	}
}

textures/twojumps/ecel_bounce_mfloor
{
	q3map_lightimage textures/twojumps/ecel_bounce.blend.tga
	surfaceparm nodamage
	q3map_surfacelight 400
	{
		map textures/twojumps/ecel_bounce_mfloor.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/twojumps/ecel_bounce.blend.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 1.5 
	}
	{
		clampmap textures/twojumps/ecel_bouncesmall.tga
		blendfunc add
		rgbGen wave square 0.5 0.5 0.25 1.5 
		tcMod stretch sin 1.2 0.8 0 1.5 
	}
}

textures/twojumps/ecel_bounce_mfloormtl
{
	q3map_lightimage textures/twojumps/ecel_bounce.blend.tga
	surfaceparm nodamage
	q3map_surfacelight 400
	{
		map textures/twojumps/ecel_bounce_mfloormtl.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/twojumps/ecel_bounce.blend.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 1.5 
	}
	{
		clampmap textures/twojumps/ecel_bouncesmall.tga
		blendfunc add
		rgbGen wave square 0.5 0.5 0.25 1.5 
		tcMod stretch sin 1.2 0.8 0 1.5 
	}
}

// quak extra

textures/twojumps/ecel_metwall01_nonsolid
{
	qer_editorimage textures/twojumps/ecel_metwall01
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/twojumps/ecel_metwall01
	}
}

textures/twojumps/ecel_metwall01_des_nonsolid
{
	qer_editorimage textures/twojumps/ecel_metwall01_des
	surfaceparm nonsolid
	{
		map textures/twojumps/ecel_metwall01_des
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbgen identity
	}
}

textures/twojumps/ecel_met03_nonsolid
{
	qer_editorimage textures/twojumps/ecel_met03
	surfaceparm nonsolid

	{
		map textures/twojumps/ecel_met03
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbgen identity
	}
}


textures/twojumps/greensky
{
	qer_editorimage textures/common/ed/color/blacksky
	q3map_noFog
	q3map_globalTexture
	q3map_lightmapFilterRadius 0 8
	q3map_lightRGB 0.73 1 0.73 
	q3map_sunExt 0.73 1 0.73 50 65 85 3 16
	q3map_skylight 35 4
	q3map_surfacelight 120
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	nopicmip
	{ 
		map $whiteimage
		rgbgen const ( 0.271 0.5 0.271 )
	}
}

textures/twojumps/water_green
{
	qer_editorimage textures/twojumps/water2
	qer_trans 0.6
	//q3map_lightImage textures/twojumps/water2
	q3map_lightRGB 0.6 1 0.65
	q3map_surfacelight 70
	q3map_lightsubdivide 512
	//q3map_bounceScale 1.5
	//q3map_backSplash 15 32
	surfaceparm noimpact
	surfaceparm water
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm detail
	q3map_tcMod scale 0.25 0.25
	cull disable
	//tessSize 92
	//deformVertexes wave 132 Sin 3.0 1.5 4.0 0.16
	//deformVertexes bulge 15 2 1
	q3map_globaltexture
	{
		map textures/twojumps/water2
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
		tcMod turb 0.8 0.09 0.1 0.03
	}
	//Color control texture stage
	//Change the rgbgen const ( 0.4 1 0.3 ) values to contorl color of the water. (rgb 1-0)
	{ 
		map $whiteimage
		rgbgen const ( 0.4 1 0.4 )
		blendFunc GL_DST_COLOR GL_ZERO
		alphaGen wave sin .2 0 0 0
		depthWrite
	}	
	{
		map textures/twojumps/water2
		blendFunc GL_ZERO GL_SRC_COLOR
		rgbgen identity
		tcMod turb 0.4 0.18 0.05 0.015
	}
	{
		map textures/twojumps/water3
		blendFunc GL_DST_COLOR GL_ONE
		rgbgen identity
		tcMod turb 0.9 0.1 0.8 0.034
	}
}

textures/twojumps/back
{
	qer_editorImage textures/twojumps/back
	qer_trans 0.9
	cull none
	q3map_lightRGB 0.6 1 0.65
	q3map_surfacelight 70
	q3map_lightsubdivide 512
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm detail
	polygonOffset
	nopicmip
	noMipMaps
	q3map_noFog
	q3map_globalTexture
	{
		map textures/twojumps/back
		blendfunc GL_ONE GL_ONE
		rgbgen identity
	}
}

textures/twojumps/thx
{
	qer_editorImage textures/twojumps/thx
	qer_trans 0.9
	cull none
	q3map_lightRGB 0.6 1 0.65
	q3map_surfacelight 70
	q3map_lightsubdivide 512
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm detail
	polygonOffset
	nopicmip
	noMipMaps
	q3map_noFog
	q3map_globalTexture
	{
		map textures/twojumps/thx
		blendfunc GL_ONE GL_ONE
		rgbgen identity
	}
}

textures/twojumps/timer
{
	qer_editorImage textures/twojumps/timer
	qer_trans 0.9
	cull none
	q3map_lightRGB 0.6 1 0.65
	q3map_surfacelight 70
	q3map_lightsubdivide 512
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm detail
	polygonOffset
	nopicmip
	noMipMaps
	q3map_noFog
	q3map_globalTexture
	{
		map textures/twojumps/timer
		blendfunc GL_ONE GL_ONE
		rgbgen identity
	}
}

textures/twojumps/green
{
	qer_editorImage textures/twojumps/green
	qer_trans 0.9
	cull none
	q3map_lightRGB 0.6 1 0.65
	q3map_surfacelight 70
	q3map_lightsubdivide 512
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm detail
	polygonOffset
	nopicmip
	noMipMaps
	q3map_noFog
	q3map_globalTexture
	{
		map textures/twojumps/green
		blendfunc GL_ONE GL_ONE
		rgbgen identity
	}
}

textures/twojumps/p1
{
	qer_editorImage textures/twojumps/p1
	qer_trans 0.9
	cull none
	q3map_lightRGB 0.6 1 0.65
	q3map_surfacelight 70
	q3map_lightsubdivide 512
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm detail
	polygonOffset
	nopicmip
	noMipMaps
	q3map_noFog
	q3map_globalTexture
	{
		map textures/twojumps/p1
		blendfunc GL_ONE GL_ONE
		rgbgen identity
	}
}

textures/twojumps/p2
{
	qer_editorImage textures/twojumps/p2
	qer_trans 0.9
	cull none
	q3map_lightRGB 0.6 1 0.65
	q3map_surfacelight 70
	q3map_lightsubdivide 512
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm detail
	polygonOffset
	nopicmip
	noMipMaps
	q3map_noFog
	q3map_globalTexture
	{
		map textures/twojumps/p2
		blendfunc GL_ONE GL_ONE
		rgbgen identity
	}
}

textures/twojumps/redgreen
{
	qer_editorImage textures/twojumps/redgreen
	surfaceparm nodamage
	q3map_surfacelight 150
	q3map_lightsubdivide 256
	q3map_backSplash 20 40
	nomipmaps
	nopicmip
	{
		map textures/twojumps/redgreen
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbgen identity
	}
}

textures/twojumps/lightblock
{
	qer_editorimage textures/twojumps/lightblock
	qer_trans 0.5
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map $whiteimage
		alphaFunc GT0
		alphaGen const 0
	}
}

textures/twojumps/glass10b
{
	qer_editorimage textures/twojumps/glass10b
	q3map_lightimage textures/twojumps/sub/glass10b.blend
	q3map_surfacelight 2000
	q3map_backSplash 50 32
	q3map_lightsubdivide 32
	//surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map textures/twojumps/glass10b
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/twojumps/sub/glass10b.blend
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .6 .3 0 1
	}
}